@import "src/components/Theme";

.button {
  background: $mainBlue;
  outline: none;
  border: none;
  border-radius: 4px;


  margin: 0;
  padding: 8px 16px 8px 20px;
  box-sizing: border-box;

  @include h2HeadlineType($mainWhite);
  display: flex;
  align-items: center;
  justify-content: center;

  &:hover {
    background: $mainBlueHover;
  }

  &:active {
    background: $mainBluePressed;
  }

  &.outline {
    background: $mainWhite;
    color: $mainDark;
    border: 1px solid $lightGray;

    &:hover {
      background: $mainWhite;
      color: $mainDark;
      border: 1px solid $lightGrayHover;
    }

    &:active {
      background: $background;
      color: $mainDark;
      border: 1px solid $lightGrayHover;
    }

  }

  &:disabled {
    background: $mediumGray;
  }
}


.textButton {
  background:transparent;
  outline: none;
  border: none;
  margin: 0;
  box-sizing: border-box;
  cursor: pointer;
  padding: 0;

  @include bodyMediumType($mainBlue);
  display: flex;
  align-items: center;

  &:hover {
    color: $mainBlueHover;
  }

  &:active {
    color: $mainBluePressed;
  }

  &.textButtonSecondary {
    color: $red;

    &:hover {
      color: $redHover;
    }

    &:active {
      color: $redPressed;
    }
  }

  &.textButtonRegular {
    color: $mainDark;

    &:hover {
      color: $mainDark;
    }

    &:active {
      color: $mainDark;
    }
  }
}